# FoundationClasses
TKernel
TColStd

# TColStd_MapIteratorOfMapOfInteger Class Reference

`#include <TColStd_MapIteratorOfMapOfInteger.hxx>`

Inheritance diagram for TColStd_MapIteratorOfMapOfInteger:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TColStd_MapIteratorOfMapOfInteger ()
Standard_EXPORT | TColStd_MapIteratorOfMapOfInteger (const TColStd_MapOfInteger &aMap)
Standard_EXPORT void | Initialize (const TColStd_MapOfInteger &aMap)
Standard_EXPORT const Standard_Integer & | Key () const

## Constructor & Destructor Documentation

Standard_EXPORT TColStd_MapIteratorOfMapOfInteger::TColStd_MapIteratorOfMapOfInteger | ( |  | ) |

Standard_EXPORT TColStd_MapIteratorOfMapOfInteger::TColStd_MapIteratorOfMapOfInteger | ( | const TColStd_MapOfInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_MapIteratorOfMapOfInteger::Initialize | ( | const TColStd_MapOfInteger & | aMap | ) |

Standard_EXPORT const Standard_Integer& TColStd_MapIteratorOfMapOfInteger::Key | ( |  | ) | const

void TColStd_MapIteratorOfMapOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_MapIteratorOfMapOfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

void* TColStd_MapIteratorOfMapOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMapIterator.

The documentation for this class was generated from the following file:

- TColStd_MapIteratorOfMapOfInteger.hxx